org.apache.tinkerpop.gremlin.spark.structure

## Class Spark

- java.lang.Object
- - org.apache.tinkerpop.gremlin.spark.structure.Spark

-     public class Spark
      extends Object

  This is a static cache the prevents Spark from garbage collecting unreferenced RDDs.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `close()`
    `static SparkContext` | `create(Configuration configuration)`
    `static SparkContext` | `create(org.apache.hadoop.conf.Configuration hadoopConfiguration)`
    `static SparkContext` | `create(SparkConf sparkConf)`
    `static SparkContext` | `create(SparkContext sparkContext)`
    `static SparkContext` | `create(String master)`
    `static SparkContext` | `getContext()`
    `static <any>` | `getRDD(String name)`
    `static List<<any>>` | `getRDDs()`
    `static boolean` | `hasRDD(String name)`
    `static boolean` | `isContextNullOrStopped()`
    `static SparkContext` | `recreateStopped()`
    `static void` | `refresh()`
    `static void` | `removeRDD(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SparkContext create(SparkConf sparkConf)

    - #### create

          public static SparkContext create(org.apache.hadoop.conf.Configuration hadoopConfiguration)

    - #### create

          public static SparkContext create(Configuration configuration)

    - #### create

          public static SparkContext create(String master)

    - #### create

          public static SparkContext create(SparkContext sparkContext)

    - #### recreateStopped

          public static SparkContext recreateStopped()

    - #### getContext

          public static SparkContext getContext()

    - #### refresh

          public static void refresh()

    - #### getRDD

          public static <any> getRDD(String name)

    - #### hasRDD

          public static boolean hasRDD(String name)

    - #### getRDDs

          public static List<<any>> getRDDs()

    - #### removeRDD

          public static void removeRDD(String name)

    - #### close

          public static void close()

    - #### isContextNullOrStopped

          public static boolean isContextNullOrStopped()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.